// 32feet.NET - Personal Area Networking for .NET
//
// InTheHand.Windows.Forms.NativeMethods
// 
// Copyright (c) 2003-2006 In The Hand Ltd, All rights reserved.
// This source code is licensed under the In The Hand Community License - see License.txt

#region Using directives

using System;
using System.Runtime.InteropServices;
using InTheHand.Net.Bluetooth;

#endregion

#if WinXP

namespace InTheHand.Windows.Forms
{
#if V2
    internal static class NativeMethods
    {
#else
    internal class NativeMethods
    {
        private NativeMethods() { }
#endif

        [DllImport("Irprops.cpl", SetLastError = true)]
        [return: MarshalAs(UnmanagedType.Bool)]
        public static extern bool BluetoothSelectDevices(ref BLUETOOTH_SELECT_DEVICE_PARAMS pbtsdp);

        [DllImport("Irprops.cpl", SetLastError = true)]
        [return: MarshalAs(UnmanagedType.Bool)]
        public static extern bool BluetoothSelectDevicesFree(ref BLUETOOTH_SELECT_DEVICE_PARAMS pbtsdp);
    }
}

#endif